//
// C++ Interface: qwwcolorcomboboxiface
//
// Description:
//
//
// Author: Witold Wysota <wysota@wysota.eu.org>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef QWWCOLORCOMBOBOXIFACE_H
#define QWWCOLORCOMBOBOXIFACE_H
#ifndef WW_NO_COLORCOMBOBOX

#include <QObject>
#include <QDesignerCustomWidgetInterface>

/**
	@author Witold Wysota <wysota@wysota.eu.org>
*/
class QwwColorComboBoxIface : public QObject, public QDesignerCustomWidgetInterface
{
    Q_OBJECT
    Q_INTERFACES(QDesignerCustomWidgetInterface);
public:
    QwwColorComboBoxIface(QObject *parent = 0);

    ~QwwColorComboBoxIface();
    bool isContainer() const {
        return false;
    }
    QIcon icon() const;
    QString group() const {
        return "wwWidgets";
    }
    QString includeFile() const;
    QString name() const {
        return "QwwColorComboBox";
    }
    QString toolTip() const;
    QString whatsThis() const;
    QWidget *createWidget(QWidget *parent);
};

#endif
#endif
