//
// C++ Implementation: QwwTipWidgetIface
//
// Description:
//
//
// Author: Witold Wysota <wysota@wysota.eu.org>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "qwwlineeditiface.h"
#include "qwwlineedit.h"

QwwLineEditIface::QwwLineEditIface(QObject * parent) :QObject(parent) {
    initialized = false;
}

bool QwwLineEditIface::isInitialized() const {
    return initialized;
}

QIcon QwwLineEditIface::icon() const {
    return QPixmap(":/trolltech/formeditor/images/widgets/lineedit.png");
}


QString QwwLineEditIface::includeFile() const {
    return "qwwlineedit.h";
}

QString QwwLineEditIface::toolTip() const {
    return "";
}

QString QwwLineEditIface::whatsThis() const {
    return "";
}

QWidget * QwwLineEditIface::createWidget(QWidget * parent) {
    return new QwwLineEdit(parent);
}

void QwwLineEditIface::initialize(QDesignerFormEditorInterface * core) {
    initialized = true;
}

// Q_EXPORT_PLUGIN2(qwwlineeditiface, QwwLineEditIface)
