//
// C++ Implementation: %{MODULE}
//
// Description:
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "qwwlistwidgetiface.h"
#include "qwwlistwidget.h"

QwwListWidgetIface::QwwListWidgetIface(QObject * parent) :QObject(parent) {
    initialized = false;
}

bool QwwListWidgetIface::isInitialized() const {
    return initialized;
}

QIcon QwwListWidgetIface::icon() const {
    return QPixmap(":/trolltech/formeditor/images/widgets/listbox.png");
}


QString QwwListWidgetIface::includeFile() const {
    return "qwwlistwidget.h";
}

QString QwwListWidgetIface::toolTip() const {
    return "";
}

QString QwwListWidgetIface::whatsThis() const {
    return "";
}

QWidget * QwwListWidgetIface::createWidget(QWidget * parent) {
    return new QwwListWidget(parent);
}

void QwwListWidgetIface::initialize(QDesignerFormEditorInterface * core) {
    initialized = true;
}
