//
// C++ Interface: qwwlongspinboxiface
//
// Description:
//
//
// Author: Witold Wysota <wysota@wysota.eu.org>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef QWWLONGSPINBOXIFACE_H
#define QWWLONGSPINBOXIFACE_H

#include <QObject>
#include <QtPlugin>
#include <QDesignerCustomWidgetInterface>

#ifndef WW_NO_SPINBOX

class QwwLongSpinBoxIface : public QObject, public QDesignerCustomWidgetInterface
{
    Q_OBJECT
    Q_INTERFACES(QDesignerCustomWidgetInterface);
public:
    QwwLongSpinBoxIface(QObject *parent = 0);

    bool isContainer() const {
        return false;
    }
    bool isInitialized() const;
    QIcon icon() const;
    QString group() const {
        return "wwWidgets";
    }
    QString includeFile() const;
    QString name() const {
        return "QwwLongSpinBox";
    }
    QString toolTip() const;
    QString whatsThis() const;
    QWidget *createWidget(QWidget *parent);
    void initialize(QDesignerFormEditorInterface *core);

private:
    bool initialized;

};

#endif // WW_NO_SPINBOX

#endif
