//
// C++ Implementation: QwwTipWidgetIface
//
// Description:
//
//
// Author: Witold Wysota <wysota@wysota.eu.org>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "qwwtipwidgetiface.h"
#include "qwwtipwidget.h"

QwwTipWidgetIface::QwwTipWidgetIface(QObject * parent) :QObject(parent) {
    initialized = false;
}

bool QwwTipWidgetIface::isInitialized() const {
    return initialized;
}

QIcon QwwTipWidgetIface::icon() const {
        return QPixmap(":/trolltech/formeditor/images/widgets/widget.png");
}


QString QwwTipWidgetIface::includeFile() const {
    return "qwwtipdialog.h";
}

QString QwwTipWidgetIface::toolTip() const {
    return "";
}

QString QwwTipWidgetIface::whatsThis() const {
    return "";
}

QWidget * QwwTipWidgetIface::createWidget(QWidget * parent) {
    QStringList slist;
    return new QwwTipWidget(slist, parent);
}

void QwwTipWidgetIface::initialize(QDesignerFormEditorInterface * core) {
    initialized = true;
}

// Q_EXPORT_PLUGIN2(qwwtipwidgetiface, QwwTipWidgetIface)
