//
// C++ Interface: qwwtwocolorindicatoriface
//
// Description:
//
//
// Author: Witold Wysota <wysota@wysota.eu.org>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef QWWTWOCOLORINDICATORIFACE_H
#define QWWTWOCOLORINDICATORIFACE_H

#include <QObject>
#include <QDesignerCustomWidgetInterface>


class QwwTwoColorIndicatorIface : public QObject, public QDesignerCustomWidgetInterface {
    Q_OBJECT
    Q_INTERFACES(QDesignerCustomWidgetInterface);
public:
    QwwTwoColorIndicatorIface(QObject *parent = 0);

    ~QwwTwoColorIndicatorIface();
    bool isContainer() const {
        return false;
    }
    QString group() const {
        return "wwWidgets";
    }
    QString name() const {
        return "QwwTwoColorIndicator";
    }
    QString includeFile() const;
    QWidget *createWidget(QWidget *parent);
    QIcon icon() const;
    QString toolTip() const { return "";}
    QString whatsThis() const { return ""; }
};

#endif
