HEADERS +=  qwwtipwidgetiface.h \
            qwwlineeditiface.h \
            qwwlistwidgetiface.h \
            qwwlongspinboxiface.h \
            qwwtwocolorindicatoriface.h \
            qwwcolorcomboboxiface.h \
            qwwnavigationbariface.h \
            qwwnumpadiface.h \
            qwwcolorbuttoniface.h \
            qwwtaskpaneliface.h \
            qwwhuesatpickeriface.h \
            qwwhuesatradialpickeriface.h \
            wwwidgets.h

SOURCES +=  qwwtipwidgetiface.cpp \
            qwwlineeditiface.cpp \
            qwwlongspinboxiface.cpp \
            qwwlistwidgetiface.cpp \
            qwwtwocolorindicatoriface.cpp \
            qwwcolorcomboboxiface.cpp \
            qwwnavigationbariface.cpp \
            qwwnumpadiface.cpp \
            qwwcolorbuttoniface.cpp \
            qwwtaskpaneliface.cpp \
            qwwhuesatpickeriface.cpp \
            qwwhuesatradialpickeriface.cpp \
            wwwidgets.cpp

FORMS += about.ui

TEMPLATE = lib
CONFIG += plugin designer warn_on release \
staticlib
# deps
!win32: LIBS += -L../widgets -lwwwidgets4
win32{
    CONFIG(release): LIBS += -L../widgets/release -lwwwidgets4
    CONFIG(debug): LIBS += -L../widgets/debug -lwwwidgets4
}

TARGET = wwwidgets4plugin

# install
target.path = $$[QT_INSTALL_PLUGINS]/designer
INSTALLS += target

unix{
    UI_DIR = .ui
    MOC_DIR = .moc
    RCC_DIR = .obj
    OBJECTS_DIR = .obj
}
win32{
    UI_DIR = ui
    MOC_DIR = moc
    RCC_DIR = obj
    OBJECTS_DIR = obj
}

WIDGETDIRS += qwwcolorbutton qwwcolorcombobox qwwnavigationbar qwwtwocolorindicator \
                           qwwtaskpanel qwwlistwidget qwwlongspinbox qwwnumpad qwwlineedit \
                           qwwtipwidget qwwhuesatpicker qwwhuesatradialpicker
for(dir, WIDGETDIRS): INCLUDEPATH += ../widgets/$${dir}
INCLUDEPATH += ../widgets/ .

DEFINES += WW_NO_COLORCOMBOBOX
