//
// C++ Interface: qwwcolorbuttoniface
//
// Description:
//
//
// Author: Witold Wysota <wysota@wysota.eu.org>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef QWWCOLORBUTTONIFACE_H
#define QWWCOLORBUTTONIFACE_H

#include <QObject>
#include <QDesignerCustomWidgetInterface>

/**
	@author Witold Wysota <wysota@wysota.eu.org>
*/
class QwwColorButtonIface : public QObject, public QDesignerCustomWidgetInterface
{
Q_OBJECT
    Q_INTERFACES(QDesignerCustomWidgetInterface);
public:
    QwwColorButtonIface(QObject *parent = 0);

    ~QwwColorButtonIface();
    bool isContainer() const {
        return false;
    }
    QIcon icon() const;
    QString group() const {
        return "wwWidgets";
    }
    QString includeFile() const;
    QString name() const {
        return "QwwColorButton";
    }
    QString toolTip() const;
    QString whatsThis() const;
    QWidget *createWidget(QWidget *parent);
};

#endif
