//
// C++ Interface: qwwnumpadiface
//
// Description:
//
//
// Author: Witold Wysota <wysota@wysota.eu.org>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef QWWHUESATPICKERIFACE_H
#define QWWHUESATPICKERIFACE_H

#include <QObject>
#include <QDesignerCustomWidgetInterface>


class QwwHueSatPickerIface : public QObject, public QDesignerCustomWidgetInterface
{
Q_OBJECT
Q_INTERFACES(QDesignerCustomWidgetInterface);
public:
    QwwHueSatPickerIface(QObject *parent = 0);

    ~QwwHueSatPickerIface();
    bool isContainer() const {
        return false;
    }
//     bool isInitialized() const;
    QIcon icon() const;
    QString group() const {
        return "wwWidgets";
    }
    QString includeFile() const;
    QString name() const {
        return "QwwHueSatPicker";
    }
    QString toolTip() const;
    QString whatsThis() const;
    QWidget *createWidget(QWidget *parent);
    void initialize(QDesignerFormEditorInterface *core);
};

#endif
