//
// C++ Interface: qwwnumpadiface
//
// Description:
//
//
// Author: Witold Wysota <wysota@wysota.eu.org>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef QWWNUMPADIFACE_H
#define QWWNUMPADIFACE_H

#include <QObject>
#include <QDesignerCustomWidgetInterface>

/**
	@author Witold Wysota <wysota@wysota.eu.org>
*/
class QwwNumPadIface : public QObject, public QDesignerCustomWidgetInterface
{
Q_OBJECT
Q_INTERFACES(QDesignerCustomWidgetInterface);
public:
    QwwNumPadIface(QObject *parent = 0);

    ~QwwNumPadIface();
    bool isContainer() const {
        return false;
    }
//     bool isInitialized() const;
    QIcon icon() const;
    QString group() const {
        return "wwWidgets";
    }
    QString includeFile() const;
    QString name() const {
        return "QwwNumPad";
    }
    QString toolTip() const;
    QString whatsThis() const;
    QWidget *createWidget(QWidget *parent);
    void initialize(QDesignerFormEditorInterface *core);
};

#endif
