//
// C++ Interface: qwwlistwidget
//
// Description:
//
//
// Author: Witold Wysota <wysota@wysota.eu.org>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef QWWLISTWIDGET_H
#define QWWLISTWIDGET_H

#include <QListWidget>
#include <wwglobal.h>

/**
 *
 *
 *
 */
class Q_WW_EXPORT QwwListWidget : public QListWidget
{
Q_OBJECT
public:
    QwwListWidget(QWidget *parent = 0);
signals:
    void currentAvailable(bool);
public slots:
    void moveCurrentDown();
    void moveCurrentUp();
    void removeCurrent();
private slots:
    void curCh(QListWidgetItem *i);
};

#endif
