//
// C++ Interface: qwwnumpad
//
// Description:
//
//
// Author: Witold Wysota <wysota@wysota.eu.org>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef QWWNUMPAD_H
#define QWWNUMPAD_H

#include <QWidget>
#include <wwglobal.h>

class Q_WW_EXPORT QwwNumPad : public QWidget
{
Q_OBJECT
public:
    QwwNumPad(QWidget *parent = 0);
    ~QwwNumPad();
public slots:
    void animateClick(const QString &b, int msec = 100);
signals:
    void numberClicked(int);
    void keyClicked(QString);
    void hashClicked();
    void asteriskClicked();
private slots:
    void _q_clicked(int);
};

#endif
